SetSignProcessCustomSubFilter
Güvenlik ve İmzalar
Açıklama
Dijital imza işlemi için SubFilter girdisini, imza değerinin kodlamasını belirten özel bir dizeyle ayarlar
SetSignProcessSubFilter işlevine benzer ancak Subfilter girdisi özelleştirilebilir
Sağlanan dize ETSI. ile başladığında (PAdES temel imzaları için genellikle ETSI.CAdES.detached veya belge zaman damgaları için ETSI.RFC3161) kitaplık, PAdES /Extensions /ESIC <</BaseVersion /1.7 /ExtensionLevel 2>> girdisini belge kataloğuna otomatik olarak ekler; bu, ETSI EN 319 142-1 v1.2.1 §5.6 tarafından zorunlu tutulur. TPDFlib aracılığıyla oluşturulan PDF'ler için eşdeğer Adobe bildirimi (/Extensions /ADBE, /ExtensionLevel 8 düzeyinde) paralel olarak eklenir. Ekleme eşgüçlüdür ve mevcut daha yüksek bir uzantı düzeyini hiçbir zaman düşürmez
ETSI.CAdES.detached seçildiğinde PAdES-B-B imzalama yolu da etkinleştirilir: sonuç CMS yükü content-type (id-data) ve signing-certificate-v2 (RFC 5035 / RFC 5816) kimliği doğrulanmış özniteliklerini taşır; EN 319 142-1 Table 1 tarafından yasaklanan signing-time özniteliği ise kitaplık kendi öznitelik dizisini CryptSignMessage öğesine verdiği için atlanır. İmzalama sertifikası SHA-256 özetiyle (veya SetSignProcessDigestAlgorithm daha büyük bir karma seçtiğinde SHA-384 / SHA-512 ile) tanımlanır ve geçerli derlemeler isteğe bağlı IssuerSerial demetini de (veren ayırt edici adı ve seri numarası) içerir; böylece daha katı PAdES doğrulayıcıları imzalama sertifikasını aday zincirleriyle karşılaştırabilir
Sözdizimi
Delphi
Function TPDFlib.SetSignProcessCustomSubFilter(SignProcessID: Integer; SubFilterStr: WideString): Integer;
ActiveX
Function PDFlib::SetSignProcessCustomSubFilter(SignProcessID As Long, SubFilterStr As String) As Long
DLL
int DLSetSignProcessCustomSubFilter(int InstanceID, int SignProcessID, const wchar_t * SubFilterStr);
Parametreler
| SignProcessID | NewSignProcessFromFile, NewSignProcessFromStream veya NewSignProcessFromString işlevlerinin döndürdüğü değer |
|---|---|
| SubFilterStr | Özel SubFilter dize girdisi |
Dönüş değerleri
| 0 | SignProcessID parametresi geçersizdi veya SubFilter parametresi aralık dışındaydı |
|---|---|
| 1 | Success |